C******************** START FILE GAXES0.FOR ; GROUP GAXES ******************
C-------------------------------------------------------------------
C  GAXES
C  SET OF SUBROUTINES TO ALLOW USER TO ESTABLISH DEFAULTS ON AXIS
C  TYPES FOR 1-D (F(X) TYPE) PLOTS, AND TO CHECK THAT A PLOT'S SCALE
C  IS CONSISTANT WITH LOG SCALING ON THAT AXIS (I.E. NO NONPOSITIVE
C  NUMBERS)
C
C----------------------------------------------------------
C  INITIALIZATION SUBROUTINE -- INITIALIZES AXES TYPE CONTROL COMMON
C  SET UP LOCAL COMMON BLOCK FOR SETTING UP AXES TYPES OF A PLOT1
C  F(X) TYPE PLOTTING CALL
C
C  IGXINI -- FLAG THAT COMMON HAS BEEN INITIALIZED
C    IGXINI=0 MEANS NOT YET INITIALIZED-- IT IS ASSUMED THAT
C    THIS VALUE IS THE VALUE OF IGXINI AT LOAD TIME
C
      SUBROUTINE GAXES0
C
C  AXES COMMON
C
      INCLUDE 'GAXES_BLK'
C
C  CHECK FLAG
      IF(IGXINI.EQ.1) RETURN
      IGXINI=1
C
C  10 CHAR NAMES OF X,Y AXES TYPE PAIRS
      IAXNAM(1)='LINEAR    '
      IAXNAM(2)='SEMI-LOG:Y'
      IAXNAM(3)='LOG-LOG   '
      IAXNAM(4)='SEMI-LOG:X'
C
C  CODE GIVEN TO DPLOT1 (PLOT1) SUBROUTINE TO MAKE THAT AXIS PAIR
C
C  LINEAR:
      IAXCOD(1)=-11
C  SEMILOG
      IAXCOD(2)=-15
C  LOG-LOG
      IAXCOD(3)=-30
C  LOG(X)
      IAXCOD(4)=-40
C
C  MAPS =1 INDICATES AXIS IS LOGARITHMIC FOR CURRENT VALUE OF IAXSEL
      IXXMAP(1)=0
      IXXMAP(2)=0
      IXXMAP(3)=1
      IXXMAP(4)=1
C
      IXYMAP(1)=0
      IXYMAP(2)=1
      IXYMAP(3)=1
      IXYMAP(4)=0
C
C  DEFAULT SELECTION (1,2,3, OR 4)
C  DEFAULT IS LINEAR
      IAXSEL=1
C  DEFAULT MAX NUMBER OF DECADES DESIRED (RATIO XMAX/XMIN OR
C  YMAX/YMIN MAXIMUM ALLOWED FOR CORRESPONDING AXIS)
      XMXDEC=1.E3
      YMXDEC=1.E3
C
      RETURN
      END
C******************** END FILE GAXES0.FOR ; GROUP GAXES ******************
